<?
define('PROTECTOR', 1);

$headmod = 'shop';//фикс. места

$textl='Магазин';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
echo"<a href=\"shop.php?mod=w\">Магазин оружия</a><br/>";
echo"<a href=\"shop.php?mod=b\">Магазин брони</a>";
break;

case 'w':
echo"<a href=\"shop.php?mod=weapon\">Отдел оружия</a><br/>";
echo"<a href=\"shop.php?\">Назад</a>";
break;

case 'b':
if(empty($_GET[o])){
echo"<a href=\"shop.php?mod=b&amp;o=shit\">Отдел щитов</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=golova\">Отдел шлемов</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=body\">Отдел доспехов</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=poyas\">Отдел поясов</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=plash\">Отдел плащей</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=ruki\">Отдел рукавиц</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=nogi\">Отдел сапог</a><br/>";
}else{
if($_GET[o]!=shit && $_GET[o]!=golova && $_GET[o]!=body && $_GET[o]!=poyas && $_GET[o]!=plash && $_GET[o]!=ruki && $_GET[o]!=nogi){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `tip`='$_GET[o]' ORDER BY nlvl");
////////////////////////////
$avto=mysql_num_rows($req);

While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shop.php?mod=info&amp;id=$mag[id]\">$mag[name]</a> ($mag[cena] монет) [<a href=\"sell.php?act=ask&amp;id=$mag[id]\">купить</a>]<br/>";
}
}
echo"<a href=\"shop.php?\">Назад</a>";
break;
case 'weapon':
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `tip`='weapon' ORDER BY nlvl");
////////////////////////////
$avto=mysql_num_rows($req);

While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shop.php?mod=info&amp;id=$mag[id]\">$mag[name]</a> ($mag[cena] монет) [<a href=\"sell.php?act=ask&amp;id=$mag[id]\">купить</a>]<br/>";
}
echo"<a href=\"shop.php?mod=w\">Назад</a>";
break;
case 'info':
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Пояс';
break;
case 'plash':
$tip='Плащ';
break;
case 'ruki':
$tip='Рукавицы';
break;
}
switch($mag[klas]){
case 'not':
$klas='Все';
break;
case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интелект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интелект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";
echo"<a href=\"shop.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>